# Uses of Class
org.apache.lucene.facet.rangeonrange.DoubleRange

Packages that use DoubleRange
Package
Description
org.apache.lucene.facet.rangeonrange
Provides range on range faceting capabilities.

- ## Uses of DoubleRange in org.apache.lucene.facet.rangeonrange

  Constructors in org.apache.lucene.facet.rangeonrange with parameters of type DoubleRange
  Modifier
  Constructor
  Description
  ``
  `DoubleRangeOnRangeFacetCounts(String field, FacetsCollector hits, RangeFieldQuery.QueryType queryType, DoubleRange... ranges)`
  Constructor without the fast match query, see other constructor description for more details.
  ``
  `DoubleRangeOnRangeFacetCounts(String field, FacetsCollector hits, RangeFieldQuery.QueryType queryType, Query fastMatchQuery, DoubleRange... ranges)`
  Represents counts for double range on range faceting.